Page MenuHomeFreeBSD

D32997.id.diff
No OneTemporary

D32997.id.diff

diff --git a/libexec/rc/rc.conf b/libexec/rc/rc.conf
--- a/libexec/rc/rc.conf
+++ b/libexec/rc/rc.conf
@@ -359,6 +359,7 @@
nfs_server_enable="NO" # This host is an NFS server (or NO).
nfs_server_flags="-u -t" # Flags to nfsd (if enabled).
nfs_server_managegids="NO" # The NFS server maps gids for AUTH_SYS (or NO).
+nfs_server_maxio="131072" # Maximum I/O size for the nfsd.
mountd_enable="NO" # Run mountd (or NO).
mountd_flags="-r -S" # Flags to mountd (if NFS server enabled).
weak_mountd_authentication="NO" # Allow non-root mount requests to be served.
diff --git a/libexec/rc/rc.d/nfsd b/libexec/rc/rc.d/nfsd
--- a/libexec/rc/rc.d/nfsd
+++ b/libexec/rc/rc.d/nfsd
@@ -28,6 +28,12 @@
# oids are available.
load_kld nfsd || return 1
+ if [ -n "${nfs_server_maxio}" ]; then
+ if ! sysctl vfs.nfsd.srvmaxio=${nfs_server_maxio} >/dev/null; then
+ warn "Failed to set server max I/O"
+ fi
+ fi
+
if checkyesno nfs_reserved_port_only; then
echo 'NFS on reserved port only=YES'
sysctl vfs.nfsd.nfs_privport=1 > /dev/null

File Metadata

Mime Type
text/plain
Expires
Sat, Apr 18, 6:49 PM (5 h, 38 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
31729743
Default Alt Text
D32997.id.diff (1 KB)

Event Timeline